This is an OpenPGP/MIME signed message (RFC 4880 and 3156) --------------XYaNZRuKfMgSuN2USJuIE54r
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: quoted-printable
On 18.4.2022 20.59, Sam James wrote:
Signed-off-by: Sam James <[email protected]>
---
eclass/edo.eclass | 7 +++++--
1 file changed, 5 insertions(+), 2 deletions(-)
diff --git a/eclass/edo.eclass b/eclass/edo.eclass
index 550d6770cb63..c2e7ed60083f 100644
--- a/eclass/edo.eclass
+++ b/eclass/edo.eclass
@@ -10,9 +10,12 @@
# @BLURB: Convenience function to run commands verbosely and die on failure
# @DESCRIPTION:
# This eclass provides the 'edo' command, and an 'edob' variant for ebegin/eend,
-# which dies (exits) on failure and logs the command used verbosely.
+# which logs the command used verbosely and dies (exits) on failure.
#
-
+# This eclass should be used only where needed to give a more verbose log, e.g.
+# for invoking non-standard ./configure scripts, or building objects/binaries
+# directly within ebuilds via compiler invocations. It is NOT to be used
+# in place of generic 'command || die' where verbosity is unnecessary.
case ${EAPI} in
7|8) ;;
*) die "${ECLASS}: EAPI ${EAPI:-0} not supported" ;;
Thanks for this clarification, had me wondering.
-- juippis
--------------XYaNZRuKfMgSuN2USJuIE54r--
-----BEGIN PGP SIGNATURE-----
iQGTBAEBCgB9FiEEltRJ9L6XRmDQCngHc4OUK43AaWIFAmJdqTJfFIAAAAAALgAo aXNzdWVyLWZwckBub3RhdGlvbnMub3BlbnBncC5maWZ0aGhvcnNlbWFuLm5ldDk2 RDQ0OUY0QkU5NzQ2NjBEMDBBNzgwNzczODM5NDJCOERDMDY5NjIACgkQc4OUK43A aWLORAgAsrUCUp64ENK5G8W/Gi+4YWL0auXpF7zm0ZrHH5ge3VrSjC0RbxPjZA0J IeIgW/ZrSHouNaDmOp/9pAP0FdzYqQyDHJxXQdpSLi6QCjzXX2e+vwSNXylK0bQb CnQ4UVnvVZicCF2yD6H0U10MWLo7uFsF+11M8RqHIA7A50UUekMgRBa4qkqMEEm2 +hLBnfHuk+dHhBjrZdrP+9Lyb1GJbUY97fBBGNHZHcsp0DC/8cWgAWCjjX9buP1a a3MvqmLh2EBFpwTaFmesgyz5fwWTVUzQguWwS67rY46ivMnj6vBcbs512aHy3Wx1 B3E199qrFW4Q9Ne3PP6+EibL+tmFJw==
=3awf
-----END PGP SIGNATURE-----
--- SoupGate-Win32 v1.05
* Origin: fsxNet Usenet Gateway (21:1/5)